petsc-3.7.7 2017-09-25
Report Typos and Errors

# TaoSetVariableBounds

Sets the upper and lower bounds

### Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoSetVariableBounds(Tao tao, Vec XL, Vec XU)

Logically collective on Tao

### Input Parameters

| tao | - the Tao context
| XL | - vector of lower bounds
| XU | - vector of upper bounds

### See Also

TaoSetObjectiveRoutine(), TaoSetHessianRoutine() TaoSetObjectiveAndGradientRoutine()

Level:beginner
Location:src/tao/interface/taosolver_bounds.c
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/ex16opt_p.c.html
src/tao/constrained/examples/tutorials/toy.c.html
src/tao/constrained/examples/tutorials/toyf.F.html
src/tao/bound/examples/tutorials/plate2.c.html
src/tao/bound/examples/tutorials/jbearing2.c.html
src/tao/complementarity/examples/tutorials/minsurf1.c.html